var tl = new TimelineMax();

function init() 
{
// ================ beginwaardes aangeven ================ //
	tl.set(["#btn","#pijl"], {autoAlpha:0});
	animation();

}


function animation() 
{
// ================ Frame 1 ================ //
	tl.to("#overlay", 0.4, {autoAlpha:0}, 0)
	tl.from(["#hond", "#hondhoofd"], 1, { x:-20, autoAlpha:0, ease: Power2.easeOut}, 0)
	tl.from(["#kat", "#kathoofd"], 1, { x:20, autoAlpha:0, ease: Power2.easeOut}, 0)

	
	tl.staggerFrom(["#txt1a", "#txt1b"], .8, { y:6,autoAlpha:0, rotation:0.0001, ease: Power2.easeOut}, 0.4, 0.2)
	tl.to(["#txt1a", "#txt1b"], .6, { autoAlpha:0, ease: Power2.easeOut}, 2.5)

	tl.staggerFrom(["#txt2a", "#txt2b"], .8, { y:6,autoAlpha:0, rotation:0.0001, ease: Power2.easeOut}, 0.4, 2.7)
	tl.to(["#txt2a", "#txt2b"], .6, { autoAlpha:0, ease: Power2.easeOut},  5.7)

	tl.staggerFrom(["#txt3a"], .8, { y:6,autoAlpha:0,rotation:0.0001, ease: Power2.easeOut}, 0.4, 5.9)
	tl.to(["#txt3a"], .6, { autoAlpha:0, ease: Power2.easeOut}, 7.9)

	tl.staggerFrom(["#txt4a", "#txt4b"], .8, { y:6,autoAlpha:0,rotation:0.0001, ease: Power2.easeOut}, 0.4, 8.1)

	tl.to("#nu", .4, { y:270, x:-110, autoAlpha:1, rotation:90, ease:Power0.easeNone}, 8)
	tl.to("#nu", .1, {  scaleX:0.4, repeat:1, yoyo:true, ease:Power0.easeNone}, 8.35)

	tl.to("#nu", .4, { y:70, x:-215, autoAlpha:1, rotation:180, ease:Power0.easeNone}, 8.4)
	tl.to("#nu", .1, { scaleX:0.4, repeat:1, yoyo:true, ease:Power0.easeNone}, 8.75)
	
	tl.to("#nu", .4, { y:270, x:-320, autoAlpha:1, rotation:270,ease:Power0.easeNone}, 8.8)
	tl.to("#nu", .1, { scaleY:0.4, repeat:1, yoyo:true, ease:Power0.easeNone}, 8.15)

	tl.to("#nu", .2, { y: 160, x:-365, autoAlpha:1, rotation:374,ease: CustomEase.create("custom", "M0,0,C0.394,0.396,0.368,0.38,0.568,0.562,0.612,0.602,0.808,0.814,1,0.86")}, 9.2)

	tl.to(["#txt4a", "#txt4b","#nu"], .6, { autoAlpha:0, ease: Power2.easeOut}, 11)
	tl.to(["#hond", "#kat", "#hondhoofd", "#kathoofd"], .3, { autoAlpha:0, ease: Power0.easeNone}, 11)

	tl.from("#txt5a", .8, { y:6,autoAlpha:0,rotation:0.0001, ease: Power2.easeOut}, 11.8)
	tl.from("#txt6a", .8, { autoAlpha:0, y:10, ease: Power2.easeOut}, 12.4)
	// tl.from("#nuStart", .8, { autoAlpha:0, y:10, ease: Power2.easeOut}, 11.4)
	tl.to(["#btn", "#pijl"], 1.2, { autoAlpha:1, ease: Power2.easeOut}, 13.5)
	tl.to(["#pijl"], 0.5, { x:6, repeat:1, yoyo:true, ease: Power2.easeInOut}, 14.5)

	$('#container').hover(
 function() {
    TweenMax.to('#pijl',.5, {x:6, ease: Power2.easeInOut});
 },
 function() {
    TweenMax.to('#pijl',.5, {x:0, ease: Power2.easeInOut});
 }

); 


}


